Get all attendee details
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/attendees \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/attendees"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "/{apiEndpoint}?page=3",
"current": "/{apiEndpoint}?page=2",
"previous": "/{apiEndpoint}?page=1"
},
"data": [
{
"kind": "<string>",
"url": "<string>",
"id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"eventId": "d812a64f-8865-4289-9024-9a120792c3d8",
"profile": {
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"company": "Zuddl",
"designation": "Senior Software Engineer",
"bio": "Jane is a senior engineer with over 10 years of experience in cloud architecture.",
"headline": "Cloud Architecture Expert | Tech Speaker",
"industry": "Information Technology",
"country": "United States",
"phoneNumber": "+1-2125551234",
"profilePictureUrl": "https://cdn.zuddl.com/attendees/atnd_12345abcde/profile.jpg"
},
"customFieldsData": [
{
"fieldSlug": "city1",
"value": "New York City"
}
],
"disclaimers": [
{
"id": "f6b8cf1f-64e5-4801-935c-f6398bb111cd",
"slug": "termsConsent",
"text": "<p>I agree to the terms and conditions</p>",
"consentGiven": true
}
],
"socialLinks": {
"linkedin": "https://www.linkedin.com/company/zuddl",
"twitter": "https://x.com/wearezuddl",
"instagram": "https://www.instagram.com/wearezuddl",
"facebook": "https://facebook.com/zuddl",
"website": "https://www.zuddl.com"
},
"ticketDetails": {
"ticketTypeId": "f6b8cf1f-64e5-4801-935c-f6398bb111cd",
"ticketName": "VIP Pass",
"promoCode": "SPRING2025",
"addOns": [
{
"id": "67f6ccf5-4c3d-4fed-bcca-822e3c3cf25a",
"name": "Advanced Workshop",
"sessions": [
{
"id": "0b838477-24bf-46a7-a9bd-c40bfa2b2c53",
"name": "Session name"
}
]
}
]
},
"qrCodeImgUrl": "https://cdn.zuddl.com/qrcodes/atnd_12345abcde.png",
"confirmationCode": "01U6K9",
"status": "REGISTERED",
"statusUpdatedAt": "2025-04-07T09:57:55.71874Z",
"statusSource": "MANUAL_UPDATE",
"source": {
"type": "ZUDDL_API",
"referrer": "https://site.zuddl.com/landing-page",
"utmParams": {
"id": "123456",
"source": "newsletter",
"medium": "email",
"campaign": "march_promo",
"term": "newsletter",
"content": "newsletter"
},
"metadata": {
"key": "value"
}
},
"roles": [
"ATTENDEE",
"SPEAKER"
],
"unsubscribedNotificationDetails": [
{
"unsubscribeReason": "unsubscribeReasonExample",
"categoryName": "PROMOTIONAL"
}
],
"createdAt": "2025-04-07T09:57:55.826749Z",
"createdBy": "a412e3d2-e15e-4fe0-bf35-7fcfb235a4b2",
"updatedAt": "2025-04-07T09:57:56.045946Z"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Attendees
Get all attendee details
Use this endpoint to retrieve the details of all attendees added to a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response
Required API key scopes: READ
This API can only be called with an access key that was generated for Backend usage.
GET
/
v1
/
events
/
{eventId}
/
attendees
Get all attendee details
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Query Parameters
Filter query in format:
Available filters:
- createdAt: operations [gt, lt, lte, between, gte, eq]
- profile.country: operations [in, eq]
- profile.designation: operations [like, not_like]
- profile.industry: operations [in, like, eq]
- profile.lastName: operations [like, not_like]
- profile.firstName: operations [like, not_like]
- profile.company: operations [like, not_like]
- status: operations [in, eq]
- updatedAt: operations [gt, lt, lte, between, gte, eq]
Sort query in format:
The following fields are sortable:
- createdAt
- profile.lastName
- profile.firstName
- updatedAt
Page number (default: 1)
Page size (default: 10, max: 50)
Was this page helpful?
⌘I